<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>e03 documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">e03 documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li
  >
  NavComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/layout/nav/nav.component.ts</code>
</p>




    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                    <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover metadata">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-nav</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./nav.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./nav.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#profil" >profil</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#connexion" >connexion</a>
                            </li>
                            <li>
                                <a href="#deconnexion" >deconnexion</a>
                            </li>
                            <li>
                                <a href="#estConnecte" >estConnecte</a>
                            </li>
                            <li>
                                <a href="#ngOnInit" >ngOnInit</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(authService: <a href="../injectables/AuthService.html" target="_self">AuthService</a>, router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="12" class="link-to-prism">src/app/layout/nav/nav.component.ts:12</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>authService</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/AuthService.html" target="_self" >AuthService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                        <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="connexion"></a>
                    <span class="name">
                        <span ><b>connexion</b></span>
                        <a href="#connexion"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>connexion()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="31"
                            class="link-to-prism">src/app/layout/nav/nav.component.ts:31</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="deconnexion"></a>
                    <span class="name">
                        <span ><b>deconnexion</b></span>
                        <a href="#deconnexion"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>deconnexion()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="35"
                            class="link-to-prism">src/app/layout/nav/nav.component.ts:35</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="estConnecte"></a>
                    <span class="name">
                        <span ><b>estConnecte</b></span>
                        <a href="#estConnecte"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>estConnecte()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="27"
                            class="link-to-prism">src/app/layout/nav/nav.component.ts:27</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <span ><b>ngOnInit</b></span>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="17"
                            class="link-to-prism">src/app/layout/nav/nav.component.ts:17</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section>
    
    <h3 id="inputs">
        Properties
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="profil"></a>
                    <span class="name">
                        <span ><b>profil</b></span>
                        <a href="#profil"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="12" class="link-to-prism">src/app/layout/nav/nav.component.ts:12</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit } from &#x27;@angular/core&#x27;;
import {OAuthService} from &quot;angular-oauth2-oidc&quot;;
import {Router} from &quot;@angular/router&quot;;
import {AuthService} from &quot;../../core/services/auth.service&quot;;

@Component({
  selector: &#x27;app-nav&#x27;,
  templateUrl: &#x27;./nav.component.html&#x27;,
  styleUrls: [&#x27;./nav.component.scss&#x27;]
})
export class NavComponent implements OnInit {
  profil: any;

  constructor(private authService: AuthService,
              private router: Router) { }

  ngOnInit(): void {
    this.authService.essaiConnexion().then(()&#x3D;&gt; {
      if(this.authService.estConnecte()) {
        this.authService.profil().then((profil) &#x3D;&gt; {
          this.profil &#x3D; profil;
        });
      }
    })
  }

  estConnecte(): boolean {
    return this.authService.estConnecte();
  }

  connexion() {
    this.router.navigate([&#x27;/connexion&#x27;]);
  }

  deconnexion() {
    this.authService.deconnexion();
  }

}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;nav class&#x3D;&quot;navbar navbar-expand navbar-light bg-light&quot;&gt;
  &lt;div class&#x3D;&quot;container-fluid&quot;&gt;
    &lt;a class&#x3D;&quot;navbar-brand&quot; routerLink&#x3D;&quot;&quot;&gt;Twitchy&lt;/a&gt;
    &lt;ul class&#x3D;&quot;navbar-nav me-auto&quot;&gt;
      &lt;li class&#x3D;&quot;nav-item&quot;&gt;
        &lt;a class&#x3D;&quot;nav-link&quot;
           routerLink&#x3D;&quot;&quot;
           routerLinkActive&#x3D;&quot;&quot;
           [routerLinkActiveOptions]&#x3D;&quot;{ exact: true }&quot;&gt;
          Jeux populaires
        &lt;/a&gt;
      &lt;/li&gt;
      &lt;li class&#x3D;&quot;nav-item&quot;&gt;
        &lt;a class&#x3D;&quot;nav-link&quot;
           routerLink&#x3D;&quot;streamers&quot;
           routerLinkActive&#x3D;&quot;is-active&quot;&gt;
          Streamers
        &lt;/a&gt;
      &lt;/li&gt;
    &lt;/ul&gt;
    &lt;ul class&#x3D;&quot;navbar-nav text-end&quot;&gt;
      &lt;li class&#x3D;&quot;nav-item&quot;&gt;
        &lt;a routerLink&#x3D;&quot;&quot; *ngIf&#x3D;&quot;estConnecte()&quot; (click)&#x3D;&quot;deconnexion()&quot; class&#x3D;&quot;nav-link&quot;&gt;Déconnexion ({{ profil?.info.preferred_username }})&lt;/a&gt;
        &lt;a routerLink&#x3D;&quot;&quot; *ngIf&#x3D;&quot;!estConnecte()&quot; (click)&#x3D;&quot;connexion()&quot; class&#x3D;&quot;nav-link&quot;&gt;Connexion&lt;/a&gt;
      &lt;/li&gt;
    &lt;/ul&gt;
  &lt;/div&gt;
&lt;/nav&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./nav.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss"></code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><nav class="navbar navbar-expand navbar-light bg-light">  <div class="container-fluid">    <a class="navbar-brand" routerLink="">Twitchy</a>    <ul class="navbar-nav me-auto">      <li class="nav-item">        <a class="nav-link"           routerLink=""           routerLinkActive=""           [routerLinkActiveOptions]="{ exact: true }">          Jeux populaires        </a>      </li>      <li class="nav-item">        <a class="nav-link"           routerLink="streamers"           routerLinkActive="is-active">          Streamers        </a>      </li>    </ul>    <ul class="navbar-nav text-end">      <li class="nav-item">        <a routerLink="" *ngIf="estConnecte()" (click)="deconnexion()" class="nav-link">Déconnexion ({{ profil?.info.preferred_username }})</a>        <a routerLink="" *ngIf="!estConnecte()" (click)="connexion()" class="nav-link">Connexion</a>      </li>    </ul>  </div></nav></div>'
    var COMPONENTS = [{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'ConnexionComponent', 'selector': 'app-connexion'},{'name': 'JeuCreerComponent', 'selector': 'app-jeu-creer'},{'name': 'JeuDetailsComponent', 'selector': 'app-jeu-details'},{'name': 'JeuItemComponent', 'selector': 'app-jeu-item'},{'name': 'JeuListeComponent', 'selector': 'app-jeu-liste'},{'name': 'JeuModifierComponent', 'selector': 'app-jeu-modifier'},{'name': 'NavComponent', 'selector': 'app-nav'},{'name': 'StreamerListeComponent', 'selector': 'app-streamer-liste'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'NavComponent'};
</script>
<script src="../js/tree.js"></script>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'NavComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
